## MateCanvasGroup MateCanvasGroup — Canvas item group |

## Synopsis

    #include <libmatecanvas/libmatecanvas.h>

    struct              MateCanvasGroup;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----MateCanvasItem
                         +----MateCanvasGroup
                               +----MateCanvasClipgroup

## Properties

      "x"                        gdouble               : Read / Write
      "y"                        gdouble               : Read / Write

## Description

A canvas item that groups other canvas items. A canvas group is used for organization, determining drawing stacking order, and for applying transforms on all items in the group.

The MateCanvas widget contains a toplevel "root" group which can be queried with a call to `mate_canvas_root()`.

## Details

### struct MateCanvasGroup

    struct MateCanvasGroup;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.

## Property Details

### The `"x"` property

      "x"                        gdouble               : Read / Write

X coordinate of group's origin.

Default value: 0

### The `"y"` property

      "y"                        gdouble               : Read / Write

Y coordinate of group's origin.

Default value: 0